
package de.ivu.elect.presentation.benutzerverwaltung.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.benutzerverwaltung.RechteTestmodusEditView;

/**
 *  on 05.06.2015.
 */
public class RechteTestmodusEditMenuItemEntry extends AbstractBenutzerMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public RechteTestmodusEditMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.RECHTE_FUER_TESTMODUS_EDIT;
  }

  @Override
  public String getTargetViewId() {
    return RechteTestmodusEditView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "rechte.testmodus.menu.item.label";
  }

  @Override
  protected String getLabel() {
    return super.getLabel();
  }

  @Override
  public String getIcon() {
    return getIcons().getIconLock();
  }
}
